# ---------------------------
# Code Quality workflow
# ---------------------------

include:
  - project: computing/gitlab-ci-templates
    file: 
      python.yml

# -- lint -------------------
#
# These jobs check the code
# for quality issues
#

.lint:
  stage: Code quality

flake8:
  extends:
    # https://computing.docs.ligo.org/gitlab-ci-templates/python/#.python:flake8
    - .python:flake8
    - .lint
  needs: []
